package com.bocloud.cmp.provider.hmc;

import com.bocloud.cmp.model.hmc.HmcVirtualSwitchModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

public interface VirtualNetworkProvider extends SuperProvider {
    public BocloudResult createVirtualSwitch(HmcVirtualSwitchModel virtualSwitch, String serverUuid);

    public BocloudResult deleteVirtualSwitch(String serverUuid, String vswitchUuid);

    public BocloudResult updateVirtualSwitch(HmcVirtualSwitchModel virtualSwitch, String serverUuid, String vswitchUuid);

    public BocloudResult getClientNetworkAdapter(String laprUuid);
}
